---
title: ScreenOrientation.unlock()
slug: Web/API/ScreenOrientation/unlock
tags:
  - API
  - Orientation
  - Property
  - Reference
  - Screen Orientation API
  - ScreenOrientation
  - Unlock
---
<p>{{APIRef("Screen Orientation")}}{{SeeCompatTable}}</p>

<p>The <strong><code>unlock()</code></strong> property of the {{domxref("ScreenOrientation")}} interface unlocks the orientation of the containing document from its default orientation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">ScreenOrientation.unlock()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>Void.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Screen Orientation','#dom-screenorientation-unlock','unlock()')}}</td>
   <td>{{Spec2('Screen Orientation')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.ScreenOrientation.unlock")}}</p>
</div>
